/***************************************************************************
                          kurdconfig.h  -  description
                             -------------------
    begin                : Thu Feb 27 2003
    copyright            : (C) 2003 by David Monk
    email                : dmonk@purplebear.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KURDCONFIG_H
#define KURDCONFIG_H

#include <qdialog.h>
#include <qhbox.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qlineedit.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qtabwidget.h>
#include <qwhatsthis.h>

/**Tabbed configuration dialog.

  *@author David Monk
  */

class KurdConfig : public QDialog
{
   Q_OBJECT
public:
	KurdConfig(QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~KurdConfig();

	bool isRdFullScreen() { return rdFullScreen->isChecked(); }
	bool isNoEncrypt() { return noEncrypt->isChecked(); }
	bool isForceBitmaps() { return forceBitmaps->isChecked(); }
	bool isNoMotion() { return noMotion->isChecked(); }
	bool isColorMap() { return colorMap->isChecked(); }
	bool isNoOverrideKeys() { return noOverrideKeys->isChecked(); }
	bool isUseDomain() { return useDomain->isChecked(); }
	bool isUseUsername() { return useUsername->isChecked(); }
	bool isUseHostname() { return useHostname->isChecked(); }
	bool isUseGateway() { return useGateway->isChecked(); }
	bool isUseVNC() { return useVNC->isChecked(); }
	bool isShared() { return shared->isChecked(); }
	bool isNoRaise() { return noRaise->isChecked(); }
	bool isTrueColor() { return trueColor->isChecked(); }
	bool isOwnCmap() { return ownCmap->isChecked(); }
	bool isVncFullScreen() { return vncFullScreen->isChecked(); }
	bool isViewOnly() { return viewOnly->isChecked(); }
	bool isX11Cursor() { return x11Cursor->isChecked(); }
	bool isRd640() { return rd640->isChecked(); }
	bool isRd800() { return rd800->isChecked(); }
	bool isRd1024() { return rd1024->isChecked(); }
	bool isRd1280() { return rd1280->isChecked(); }
	bool isWorkArea() { return workArea->isChecked(); }
	QString currentDomain() { return editDomain->text(); }
	QString currentGateway() { return editGateway->text(); }
	QString currentHostname() { return editHostname->text(); }
	QString currentUsername() { return editUsername->text(); }
private:
	QTabWidget *configTabs;
	QWidget *rdTab;
	QWidget *vncTab;
	QHBox *domainBox;
	QHBox *gatewayBox;
	QHBox *hostnameBox;
	QHBox *usernameBox;
	QButtonGroup *rdOptions;
	QButtonGroup *vncOptions;
	QButtonGroup *screenGeometry;
	QCheckBox *useGateway;
	QCheckBox *rdFullScreen;
	QCheckBox *noEncrypt;
	QCheckBox *forceBitmaps;
	QCheckBox *noMotion;
	QCheckBox *useDomain;
	QCheckBox *useUsername;
	QCheckBox *useHostname;
	QCheckBox *colorMap;
	QCheckBox *noOverrideKeys;
	QCheckBox *useVNC;
	QCheckBox *shared;
	QCheckBox *noRaise;
	QCheckBox *trueColor;
	QCheckBox *ownCmap;
	QCheckBox *vncFullScreen;
	QCheckBox *viewOnly;
	QCheckBox *x11Cursor;
	QLineEdit *editDomain;
	QLineEdit *editGateway;
	QLineEdit *editHostname;
	QLineEdit *editUsername;
	QRadioButton *rd640;
	QRadioButton *rd800;
	QRadioButton *rd1024;
	QRadioButton *rd1280;
	QRadioButton *workArea;
	QPushButton *btnClose;
private slots:
	void slotSelectTab();
	void slotSetEditDomain();
	void slotSetEditGateway();
	void slotSetEditHostname();
	void slotSetEditUsername();
};

#endif
